=== doc/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile requirements.in
#
alabaster==0.7.13
    # via sphinx
babel==2.13.0
    # via sphinx
certifi==2023.7.22
    # via requests
charset-normalizer==3.3.0
    # via requests
docutils==0.18.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
gevent==23.9.1
    # via -r requirements.in
graphviz==0.20.1
    # via -r requirements.in
greenlet==3.0.0
    # via gevent
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via sphinx
markupsafe==2.1.3
    # via jinja2
numpy==1.26.0
    # via -r requirements.in
packaging==23.2
    # via
    #   -r requirements.in
    #   sphinx
pillow==10.0.1
    # via -r requirements.in
psutil==5.9.5
    # via -r requirements.in
pygments==2.16.1
    # via sphinx
requests==2.31.0
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.2.6
    # via
    #   -r requirements.in
    #   sphinx-rtd-theme
    #   sphinxcontrib-applehelp
    #   sphinxcontrib-devhelp
    #   sphinxcontrib-htmlhelp
    #   sphinxcontrib-jquery
    #   sphinxcontrib-qthelp
    #   sphinxcontrib-serializinghtml
sphinx-rtd-theme==1.3.0
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.7
    # via sphinx
sphinxcontrib-devhelp==1.0.5
    # via sphinx
sphinxcontrib-htmlhelp==2.0.4
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.6
    # via sphinx
sphinxcontrib-serializinghtml==1.1.9
    # via sphinx
urllib3==2.0.6
    # via requests
zope-event==5.0
    # via gevent
zope-interface==6.1
    # via gevent

# The following packages are considered to be unsafe in a requirements file:
# setuptools
