=== debian/changelog ===
pytango (9.5.0-6) unstable; urgency=medium

  * Rerun failed tests in testsuite (this may fix #1076830).
  * Also mark one flaky test as such.

 -- Roland Mas <lolando@debian.org>  Wed, 02 Oct 2024 17:50:58 +0200

pytango (9.5.0-5) unstable; urgency=medium

  * Increase timeout in testsuite (this may fix #1076830).

 -- Roland Mas <lolando@debian.org>  Thu, 25 Jul 2024 09:33:08 +0200

pytango (9.5.0-4) unstable; urgency=medium

  * Team upload.
  * Add myself to Uploaders.
  * Build-Deps on python3-all-dev again to build against all versions of Python.
  * Use more dh_* stuff to streamline debian/rules a bit.

 -- Roland Mas <lolando@debian.org>  Wed, 10 Jul 2024 15:21:30 +0200

pytango (9.5.0-3) unstable; urgency=medium

  * Team upload.
  * Drop old extraneous build dependencies:
    * python3-mock (Closes: #1069734)
    * python3-six (Closes: #1064615)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Jun 2024 16:18:36 +0200

pytango (9.5.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Temporarily remove s390x from python3-tango's Architecture:, until
    https://gitlab.com/tango-controls/pytango/-/issues/449 gets solved
  * Temporarily test against default python3 version only, until I can solve
    how to build for several versions

 -- Santiago Ruano Rincón <santiago@freexian.com>  Mon, 12 Feb 2024 10:08:49 -0300

pytango (9.5.0-2~exp2) experimental; urgency=medium

  * Team upload.
  * Temporarily remove s390x from python3-tango's Architecture:, until
    https://gitlab.com/tango-controls/pytango/-/issues/449 gets solved
  * Temporarily test against default python3 version only, until I can solve
    how to build for several versions

 -- Santiago Ruano Rincón <santiago@freexian.com>  Mon, 05 Feb 2024 09:15:53 -0300

pytango (9.5.0-2~exp1) experimental; urgency=medium

  * Team upload.
  * Make tests are run again during building. Explicitly tell pybuild to use
    pytest

 -- Santiago Ruano Rincón <santiago@freexian.com>  Fri, 26 Jan 2024 16:36:02 -0300

pytango (9.5.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Santiago Ruano Rincón <santiago@freexian.com>  Tue, 09 Jan 2024 07:32:49 -0500

pytango (9.5.0-1~exp2) experimental; urgency=medium

  * Team upload.
  * Build-Deps on python3-dev instead of python3-all-dev. Only building for
    the default python version, at least, temporarily
  * d/rules: don't install spare .so files (Closes: #1059792)

 -- Santiago Ruano Rincón <santiago@freexian.com>  Mon, 08 Jan 2024 17:52:56 -0500

pytango (9.5.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 9.5.0
    * Fix FTBFS with Python 3.12 (Closes: #1049843, #1055733). Although, it
      builds for the default python version only.
  * Add d/gbp.conf
  * Set RELEASE to experimental in debian/salsa-ci.yml
  * Add and/or update Build-Depends: cmake, libboost-python-dev (>= 1.83.0),
    tango >= 9.5.0, pybuild-plugin-pyproject, python3-pathspec,
    python3-pyproject-metadata and python3-scikit-build-core
  * Update d/patches/0002-Added-gevent-to-instal_requires.patch and
    remove-junitxml-report.patch to use pyproject.toml
  * Update debian/patches/ftbfs-ipv6.patch

 -- Santiago Ruano Rincón <santiago@freexian.com>  Thu, 21 Dec 2023 18:24:21 -0300
