=== debian/control ===
Source: pytango
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Sandor Bodo-Merle <sbodomerle@gmail.com>,
 Roland Mas <lolando@debian.org>,
Section: science
Priority: optional
Build-Depends:
 cmake,
 cppzmq-dev,
 debhelper-compat (= 13),
 dh-sequence-numpy3,
 dh-sequence-python3,
 libboost-python-dev (>= 1.83.0),
 libtango-dev (>= 9.5.0+dfsg1),
 pkg-config,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-gevent,
 python3-numpy,
 python3-pathspec,
 python3-psutil <!nocheck>,
 python3-pyproject-metadata,
 python3-pytest <!nocheck>,
 python3-pytest-forked <!nocheck>,
 python3-pytest-rerunfailures <!nocheck>,
 python3-scikit-build-core,
 python3-setuptools,
 tango-test (>= 9.5.0+dfsg1) <!nocheck>,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 graphviz <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 sphinx-common <!nodoc>,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/pytango
Vcs-Git: https://salsa.debian.org/science-team/pytango.git
Homepage: https://pytango.readthedocs.io/en/latest/
Rules-Requires-Root: no

Package: python3-tango
# Architecture: any [!390x]
Architecture: alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 ia64 loong64 m68k mips64el powerpc ppc64 ppc64el riscv64 sh4 sparc64 x32
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Provides: ${python3:Provides},
Description: API for the TANGO control system (Python 3)
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
 .
 This is the Python 3 version of the package.

Package: python-tango-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends},
Breaks: python-pytango-doc (<< 9.2.0-2~),
Replaces: python-pytango-doc (<< 9.2.0-2~),
Description: API for the TANGO control system
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
 .
 This package contains the documentation for the python-tango library.
