=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tango
export PYBUILD_TEST_ARGS=--reruns 5
%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
	dh_auto_build --buildsystem=pybuild -- -s custom --build-args="PYTHONPATH={build_dir} {interpreter} -m sphinx -N -bhtml doc build/html"

override_dh_auto_test:
	PATH="/usr/lib/tango/:$$PATH" dh_auto_test --buildsystem=pybuild -- --test-pytest
