=== debian/tests/control ===
Test-Command: set -efu
 ; cp  -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; PATH=/usr/lib/tango/:$PATH $py -m pytest tests -v --forked --reruns 5
 ; done
Depends:
 python3-dev,
 python3-psutil,
 python3-pytest,
 python3-pytest-forked,
 python3-pytest-rerunfailures,
 python3-tango,
 tango-test,
Restrictions: allow-stderr, skip-not-installable, isolation-container

Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import tango; print(tango.Database().get_info())"
 ; done
Depends: default-mysql-server, python3-dev, python3-tango, tango-db,
Restrictions: allow-stderr, skip-not-installable, isolation-container, flaky
