## pytango 10.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,13 @@
 
 project(
     pytango
-    VERSION 9.5.0
+    VERSION 10.0.0
     DESCRIPTION "Python bindings for the Tango distributed control system"
     HOMEPAGE_URL "https://pytango.readthedocs.io/"
     LANGUAGES CXX
 )
 
 include(cmake/project-is-top-level.cmake)
-
-set(CMAKE_CXX_STANDARD 14)
 
 # ---- Dependencies -------
 
@@ -28,7 +26,7 @@
 # but gracefully try using cmake ways if pkg-config is not available (i.e. Windows)
 # or tango is not found.
 # Use the environment/cache variable Tango_ROOT to set the tango installation prefix.
-list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/TangoCMakeModules)
 find_package(Tango REQUIRED)
 
 # Find Python and NumPy
@@ -118,7 +116,6 @@
     ext/device_info.cpp
     ext/periodic_event_info.cpp
     ext/database.cpp
-    ext/precompiled_header.cpp
     ext/enums.cpp
     ext/attribute_proxy.cpp
     ext/pyutils.cpp
@@ -140,8 +137,11 @@
     ext/group.cpp
     ext/event_data.cpp
     ext/data_ready_event_data.cpp
+    ext/tango_numpy.cpp
 )
 add_library(pytango::tango ALIAS pytango_tango)
+
+target_precompile_headers(pytango_tango PRIVATE ext/precompiled_header.hpp)
 
 set_target_properties(
     pytango_tango PROPERTIES
@@ -158,13 +158,13 @@
   # .so suffix is default on linux and required for python to load
     # the extension module. On MacOS the default is .dylib so we have
     # to force the suffix here.
-    set_target_properties(pytango_tango PROPERTIES SUFFIX ".so")  
+    set_target_properties(pytango_tango PROPERTIES SUFFIX ".so")
 endif()
 if (WIN32)
     set_target_properties(
         pytango_tango PROPERTIES
         SUFFIX ".pyd"
-        COMPILE_OPTIONS "/bigobj"
+        COMPILE_OPTIONS "/bigobj;-DPYTANGO_NUMPY_VERSION=${Python_NumPy_VERSION};-DNPY_NO_DEPRECATED_API=0"
     )
 endif()
 
@@ -174,13 +174,17 @@
     "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/ext>"
 )
 
-target_compile_features(pytango_tango PUBLIC cxx_std_14)
+target_compile_features(pytango_tango PUBLIC cxx_std_17)
 
 target_link_libraries(pytango_tango PRIVATE Python::Module Python::NumPy Boost::python Tango::Tango)
 
 install(TARGETS pytango_tango
 	LIBRARY DESTINATION tango
 	RUNTIME DESTINATION tango)
+
+if(NOT CMAKE_CROSSCOMPILING)
+  include(cmake/generate_stubs.cmake)
+endif()
 
 # ---- Developer mode ----
 
@@ -192,4 +196,3 @@
       "Developer mode is intended for developers of pytango"
   )
 endif()
-
