=== debian/changelog ===
pytango (10.0.0-4) unstable; urgency=medium

  * Team upload.
  * Disable some more tests that regularly fail

 -- Santiago Ruano Rincón <santiago@freexian.com>  Fri, 24 Jan 2025 18:08:09 -0300

pytango (10.0.0-3) unstable; urgency=medium

  * Team upload
  * Disable tests/test_event.py at build and autopkgtest time.
    Some test_event tests are flaky, and are blocking gcc-14 migration.
    (Closes: 1091861)
  * Wrap and sort -st, again, with devscripts 2.25.1
  * Replace obsolete Build-Dep pkg-config with pkgconf
  * Remove no longer needed copyright entry for tango/asyncio_tools.py

 -- Santiago Ruano Rincón <santiago@freexian.com>  Tue, 21 Jan 2025 09:48:34 -0500

pytango (10.0.0-2) unstable; urgency=medium

  * Team upload
  * Install python3-all-dev instead of python3-dev in d/tests/control.
    While there is more than one python version available (tpython3.12 and
    python3.13) the test cannot find the one that is not the default.
  * Add patch to fix assert_close for booleans with pytest >= 8.3.4

 -- Santiago Ruano Rincón <santiago@freexian.com>  Thu, 05 Dec 2024 17:25:13 -0300

pytango (10.0.0-1) unstable; urgency=medium

  * Team upload
  * Workaround FTBFS with python3.13 (Closes: #1087905)
  * Allow test suite to fail at build time

 -- Santiago Ruano Rincón <santiago@freexian.com>  Sat, 30 Nov 2024 09:44:14 -0300

pytango (10.0.0-1~exp1) experimental; urgency=medium

  * Team upload

  * New upstream version 10.0.0
  * Bump Build-dependencies to tango >= 10.0.0
  * Remove RELEASE variable from salsa-ci.yml definition
  * Drop no longer needed remove-junitxml-report.patch
  * Refresh patches
  * Add build-dependency on python3-pytest-asyncio
  * Enable wrap-and-sort job in Salsa CI
  * wrap-and-sort -st (debian/tests/control)
  * Add build-dependency on python-is-python3
  * Add build-dependency on opentelemetry-cpp-dev
  * Add patch to disable failing tests

 -- Santiago Ruano Rincón <santiago@freexian.com>  Sat, 09 Nov 2024 14:01:48 -0300
