=== debian/control ===
--- 
+++ 
@@ -7,15 +7,17 @@
 Section: science
 Priority: optional
 Build-Depends:
- cmake,
- cppzmq-dev,
  debhelper-compat (= 13),
  dh-sequence-numpy3,
  dh-sequence-python3,
+ cmake,
+ cppzmq-dev,
  libboost-python-dev (>= 1.83.0),
- libtango-dev (>= 9.5.0+dfsg1),
- pkg-config,
+ libtango-dev (>= 10.0.0+dfsg1),
+ opentelemetry-cpp-dev,
+ pkgconf,
  pybuild-plugin-pyproject,
+ python-is-python3,
  python3-all-dev,
  python3-gevent,
  python3-numpy,
@@ -23,11 +25,12 @@
  python3-psutil <!nocheck>,
  python3-pyproject-metadata,
  python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
  python3-pytest-forked <!nocheck>,
  python3-pytest-rerunfailures <!nocheck>,
  python3-scikit-build-core,
  python3-setuptools,
- tango-test (>= 9.5.0+dfsg1) <!nocheck>,
+ tango-test (>= 10.0.0+dfsg1) <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  graphviz <!nodoc>,
