=== debian/tests/control ===
# tests from tests/test_event.py regularly fail, so they are temporarily disabled
Test-Command: set -efu
 ; cp  -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; PATH=/usr/lib/tango/:$PATH $py -m pytest tests -v --forked --ignore tests/test_event.py --reruns 5
 ; done
Depends:
 python3-all-dev,
 python3-psutil,
 python3-pytest,
 python3-pytest-forked,
 python3-pytest-rerunfailures,
 python3-tango,
 tango-test,
Restrictions: allow-stderr, isolation-container, skip-not-installable,

Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import tango; print(tango.Database().get_info())"
 ; done
Depends: default-mysql-server, python3-all-dev, python3-tango, tango-db,
Restrictions: allow-stderr, flaky, isolation-container, skip-not-installable,
