## pytango 10.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 project(
     pytango
-    VERSION 10.0.0
+    VERSION 10.0.2
     DESCRIPTION "Python bindings for the Tango distributed control system"
     HOMEPAGE_URL "https://pytango.readthedocs.io/"
     LANGUAGES CXX
@@ -35,7 +35,7 @@
     set(Python_ROOT_DIR "$ENV{PYTHON_ROOT}" CACHE STRING "Python root installation path")
     set(Python_FIND_STRATEGY LOCATION)
 endif()
-find_package (Python 3.8 COMPONENTS Interpreter Development NumPy)
+find_package (Python 3.9 COMPONENTS Interpreter Development NumPy)
 message(STATUS "    Python version:  ${Python_VERSION}")
 message(STATUS "      - intepreter:  ${Python_EXECUTABLE}")
 message(STATUS "       - libraries:  ${Python_LIBRARIES}")
@@ -114,6 +114,7 @@
     ext/server/user_default_attr_prop.cpp
     ext/attr_conf_event_data.cpp
     ext/device_info.cpp
+    ext/coverage.cpp
     ext/periodic_event_info.cpp
     ext/database.cpp
     ext/enums.cpp
@@ -186,6 +187,17 @@
   include(cmake/generate_stubs.cmake)
 endif()
 
+option(PYTANGO_ENABLE_COVERAGE "Instrument code for coverage analysis" OFF)
+if(PYTANGO_ENABLE_COVERAGE AND NOT (CMAKE_CXX_COMPILER_ID MATCHES "GNU"))
+  message(FATAL_ERROR "Code coverage is not supported for selected compiler.")
+endif()
+
+if(PYTANGO_ENABLE_COVERAGE)
+  target_compile_definitions(pytango_tango PRIVATE PYTANGO_ENABLE_COVERAGE=1)
+  target_compile_options(pytango_tango PRIVATE --coverage -Wl,--dynamic-list-data)
+  target_link_options(pytango_tango PRIVATE --coverage -Wl,--dynamic-list-data)
+endif()
+
 # ---- Developer mode ----
 
 if(NOT pytango_DEVELOPER_MODE)
