=== debian/changelog ===
pytango (10.0.2-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with NumPy 2.3 (Closes: #1114714)

 -- Timo Röhling <roehling@debian.org>  Thu, 02 Oct 2025 17:00:03 +0200

pytango (10.0.2-2) unstable; urgency=medium

  * Team upload.
  * Unblock pytest 8.4 transition: autopkgtest need python3-pytest-asyncio
  * Drop "Rules-Requires-Root: no"
  * Apply Multi-Arch: hint

 -- Alexandre Detiste <tchet@debian.org>  Sat, 30 Aug 2025 11:49:45 +0200

pytango (10.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 10.0.2
  * Add new doc-related build-dependencies.
    Because of changes introduced between 10.0.0 and 10.0.2.
  * Include libjs-d3 as {build-,}dependency
  * Include patch to avoid d3-related privacy breach
  * Link locally to d3.min.js before installing docs
  * Remove no longer needed 0001-Use-jquery-from-the-archive.patch
  * Remove no longer needed doc/_static/jssor* entry in d/copyright
  * Temporarily disable sphinx_book_theme.
    Until #1085947 gets fixed in unstable.
  * Refresh d/patches
  * Set localhost http(s)_proxy in override_dh_auto_build,
    to prevent sphinx accessing internet at build time.
  * Wrap and sort -ast and update salsa-ci wrap-and-sort job to always wrap
  * Add Freexian Packaging Team as Uploader
  * Update disabled tests
  * Include patch to add missing fortify source CPPFLAG
  * Add hardening flags to DEB_BUILD_MAINT_OPTIONS. bindnow hardening was
    missing.
  * Declare compliance with Standards-Version 4.7.2.
    No changes needed.

 -- Santiago Ruano Rincón <santiago@freexian.com>  Fri, 14 Mar 2025 13:44:13 -0300
