=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  Picca Frédéric-Emmanuel <picca@debian.org>,
  Sandor Bodo-Merle <sbodomerle@gmail.com>,
  Roland Mas <lolando@debian.org>,
+ Freexian Packaging Team <team+freexian@tracker.debian.org>,
 Section: science
 Priority: optional
 Build-Depends:
@@ -13,6 +14,7 @@
  cmake,
  cppzmq-dev,
  libboost-python-dev (>= 1.83.0),
+ libjs-d3,
  libtango-dev (>= 10.0.0+dfsg1),
  opentelemetry-cpp-dev,
  pkgconf,
@@ -20,6 +22,7 @@
  python-is-python3,
  python3-all-dev,
  python3-gevent,
+ python3-myst-parser,
  python3-numpy,
  python3-pathspec,
  python3-psutil <!nocheck>,
@@ -30,6 +33,11 @@
  python3-pytest-rerunfailures <!nocheck>,
  python3-scikit-build-core,
  python3-setuptools,
+ python3-sphinx-book-theme,
+ python3-sphinx-copybutton,
+ python3-sphinx-design,
+ python3-sphinx-togglebutton,
+ python3-sphinxcontrib-mermaid,
  tango-test (>= 10.0.0+dfsg1) <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
@@ -37,18 +45,21 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  sphinx-common <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/pytango
 Vcs-Git: https://salsa.debian.org/science-team/pytango.git
 Homepage: https://pytango.readthedocs.io/en/latest/
-Rules-Requires-Root: no
 
 Package: python3-tango
 # Architecture: any [!390x]
 Architecture: alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 ia64 loong64 m68k mips64el powerpc ppc64 ppc64el riscv64 sh4 sparc64 x32
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
-Provides: ${python3:Provides},
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${python3:Provides},
 Description: API for the TANGO control system (Python 3)
  TANGO is an object oriented distributed control system using CORBA,
  mainly developed by the Controls Section of the ALBA Synchrotron.
@@ -60,10 +71,16 @@
 
 Package: python-tango-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends},
-Breaks: python-pytango-doc (<< 9.2.0-2~),
-Replaces: python-pytango-doc (<< 9.2.0-2~),
+Depends:
+ libjs-d3,
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Breaks:
+ python-pytango-doc (<< 9.2.0-2~),
+Replaces:
+ python-pytango-doc (<< 9.2.0-2~),
 Description: API for the TANGO control system
  TANGO is an object oriented distributed control system using CORBA,
  mainly developed by the Controls Section of the ALBA Synchrotron.
