=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,20 @@
 
 export PYBUILD_NAME=tango
 export PYBUILD_TEST_ARGS=--reruns 5
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 %:
 	dh $@ --buildsystem=pybuild
 
+execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
+execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep:
 	dh_auto_build --buildsystem=pybuild -- -s custom --build-args="PYTHONPATH={build_dir} {interpreter} -m sphinx -N -bhtml doc build/html"
+
+execute_before_dh_installdocs:
+	mkdir -p $(CURDIR)/debian/python-tango-doc/usr/share/doc/python-tango-doc/html/usr/share/javascript/d3/
+	ln -s /usr/share/javascript/d3/d3.min.js	\
+		$(CURDIR)/debian/python-tango-doc/usr/share/doc/python-tango-doc/html/usr/share/javascript/d3/
 
 override_dh_auto_test:
 	# See: #1087905
