=== debian/tests/control ===
--- 
+++ 
@@ -10,11 +10,15 @@
  python3-all-dev,
  python3-psutil,
  python3-pytest,
+ python3-pytest-asyncio,
  python3-pytest-forked,
  python3-pytest-rerunfailures,
  python3-tango,
  tango-test,
-Restrictions: allow-stderr, isolation-container, skip-not-installable,
+Restrictions:
+ allow-stderr,
+ isolation-container,
+ skip-not-installable,
 
 Test-Command: set -efu
  ; for py in $(py3versions -r 2>/dev/null)
@@ -22,5 +26,13 @@
  ; echo "Testing with $py:"
  ; $py -c "import tango; print(tango.Database().get_info())"
  ; done
-Depends: default-mysql-server, python3-all-dev, python3-tango, tango-db,
-Restrictions: allow-stderr, flaky, isolation-container, skip-not-installable,
+Depends:
+ default-mysql-server,
+ python3-all-dev,
+ python3-tango,
+ tango-db,
+Restrictions:
+ allow-stderr,
+ flaky,
+ isolation-container,
+ skip-not-installable,
